#include <rf60Xsdk.h>
#include <rf60Xtypes.h>

#include <iostream>

using namespace SDK;
using namespace SCANNERS;
using namespace RF60X;

int main() {
  // Initialize sdk library
  sdk_init();

  // Print return rf60X sdk version
  std::cout << sdk_version() << std::endl;

  config_base_information_rf60x_t config_params_device;

  config_params_device.type = SCANNER_TYPE::RF60x;

  std::shared_ptr<rf60x> dev = std::make_shared<rf60x>(config_params_device);

  dev->connect();
  udp_measure_t measure;
  for (size_t i = 0; i < 10; i++) {
    auto result = dev->get_measure_udp(&measure);

    if (result == false) {
        std::cout << "Measure  :"
                << static_cast<double>((measure.rf60xValArray[0].value *
                                        measure.deviceMeasureRange) /
                                       16384.0)
                << std::endl;
    }
  }

  std::cout<< dev->disconnect();
}
